SDL_EGL_SetAttributeCallbacks(3)

NAME
SDL_EGL_SetAttributeCallbacks - Sets the callbacks for defining custom EGLAttrib arrays for EGL initialization.

SYNOPSIS
#include <SDL3/SDL_video.h>

void SDL_EGL_SetAttributeCallbacks(SDL_EGLAttribArrayCallback platformAttribCallback,
                                   SDL_EGLIntArrayCallback surfaceAttribCallback,
                                   SDL_EGLIntArrayCallback contextAttribCallback, void *userdata);

DESCRIPTION
Callbacks that aren't needed can be set to NULL.

NOTE: These callback pointers will be reset after SDL_GL_ResetAttributes.

FUNCTION PARAMETERS

platformAttribCallback
    callback for attributes to pass to eglGetPlatformDisplay. May be NULL.

surfaceAttribCallback
    callback for attributes to pass to eglCreateSurface. May be NULL.

contextAttribCallback
    callback for attributes to pass to eglCreateContext. May be NULL.

userdata
    a pointer that is passed to the callbacks.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.